#pragma once
#include "Entity.h"
#define CS_PASTRYCHEFANI_CREATENAME L"CS_pastrychef_animate"
class CS_PastryChefAni :
    public Entity
{
public:
    CS_PastryChefAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
    int wink_counter = 0;
};

std::shared_ptr<Entity> CreateCS_PastryChefAni();